#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.evaluation.av.evtype import evtype
from bu4.evaluation.constructs.attachable import Attachable
from bu4.evaluation.constructs.evaluable import Evaluable

__all__ = ('Indexed',)


class Indexed(Attachable[evtype]):
    def attach(self, ev: evtype) -> Evaluable:
        raise NotImplementedError

    def __bytes__(self):
        raise NotImplementedError
