#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.indexing.constructs.indexed import Indexed
from bu4.indexing.constructs.inull import INull
from bu4.parsing.codes import CODE_NULL
from bu4.parsing.extensions.extension import Extension
from bu4.transform.states.transformfinished import TransformFinished
from bu4.transform.states.transformstate import TransformState

__all__ = ('XINull',)


class XINull(Extension[Indexed], code=CODE_NULL):
    def apply(self) -> TransformState[Indexed]:
        return TransformFinished(INull())
