#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_NAME
from bu4.linkable.constructs.parsed import Parsed
from bu4.linkable.constructs.pname import PName
from bu4.parsing.extensions.extension import Extension
from bu4.transform.states.transformfinished import TransformFinished
from bu4.transform.states.transformstate import TransformState

__all__ = ('XName',)


class XName(Extension[Parsed], code=CODE_NAME):
    def apply(self) -> TransformState[Parsed]:
        return TransformFinished(PName(self.parser.parse_name()))
