#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_XCPT
from bu4.linkable.constructs.parsed import Parsed
from bu4.linkable.constructs.pexception import PException
from bu4.parsing.extensions.extension import Extension
from bu4.transform.states.transformfinished import TransformFinished
from bu4.transform.states.transformstate import TransformState

__all__ = ('XXcpt',)


class XXcpt(Extension[Parsed], code=CODE_XCPT):
    def apply(self) -> TransformState[Parsed]:
        return TransformFinished(PException(self.parser.parse_name()))
